#include "stdafx.h"
#include "mm.h"
#include "feature_2d.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

vector<sFeature2D> _feature_2d;


bool load_feature2D (const char *file_name)
{
	_feature_2d.clear ();
	_feature_2d.reserve (1000);

	FILE *fp = fopen (file_name, "r");
	if (fp) {
		char word[1024+1], *p;
		while (fgets (word, 1024, fp)) {
			word[1024] = '\0';
			for (p = word; *p==' ' || *p=='\t'; ++p);

			if (*p == '#') continue;

			sFeature2D feature;

			feature.x = strtod (p, &p);		if (*p=='\r' || *p=='\n' || *p=='\0') continue;
			feature.y = strtod (p, &p);		if (*p=='\r' || *p=='\n' || *p=='\0') continue;
			feature.r = strtod (p, &p);
			feature.active = false;
			
			_feature_2d.push_back (feature);
		}	
		fclose (fp);

		return true;
	}
	return false;
}

