
// mobile_robot_EKF_camera_landmarkDlg.h : header file
//

#pragma once
#include "EKF.h"

// Cmobile_robot_EKF_camera_landmarkDlg dialog
class Cmobile_robot_EKF_camera_landmarkDlg : public CDialog
{
// Construction
public:
	Cmobile_robot_EKF_camera_landmarkDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_mobile_robot_EKF_camera_landmark_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

private:
	void DrawBackground (CDC &dc, int width, int height);
	void DrawFeature (CDC &dc);
	void DrawRobot (CDC &dc, double x, double y, double theta, COLORREF color);
	void DrawCovariance (CDC &dc, double x, double y, double s_xx, double s_xy, double s_yy);

	CRect    _memDCRect;
	CDC      _memDC;
	CBitmap  _bitmap;
	CBitmap* _bitmapOld;

	CEKF* _ekf;

	double _leftWheelPrev, _rightWheelPrev;

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnDestroy();
};
